Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/interpolate_axis_interface_attr.F90
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/interpolate_axis_interface_attr.F90	(revision 2337)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/interpolate_axis_interface_attr.F90	(revision 2338)
@@ -29,4 +29,65 @@
       INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
     END FUNCTION cxios_is_defined_interpolate_axis_coordinate
+
+
+    SUBROUTINE cxios_set_interpolate_axis_coordinate_dst(interpolate_axis_hdl, coordinate_dst, coordinate_dst_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: coordinate_dst
+      INTEGER  (kind = C_INT)     , VALUE        :: coordinate_dst_size
+    END SUBROUTINE cxios_set_interpolate_axis_coordinate_dst
+
+    SUBROUTINE cxios_get_interpolate_axis_coordinate_dst(interpolate_axis_hdl, coordinate_dst, coordinate_dst_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: coordinate_dst
+      INTEGER  (kind = C_INT)     , VALUE        :: coordinate_dst_size
+    END SUBROUTINE cxios_get_interpolate_axis_coordinate_dst
+
+    FUNCTION cxios_is_defined_interpolate_axis_coordinate_dst(interpolate_axis_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_interpolate_axis_coordinate_dst
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
+    END FUNCTION cxios_is_defined_interpolate_axis_coordinate_dst
+
+
+    SUBROUTINE cxios_set_interpolate_axis_coordinate_src(interpolate_axis_hdl, coordinate_src, coordinate_src_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: coordinate_src
+      INTEGER  (kind = C_INT)     , VALUE        :: coordinate_src_size
+    END SUBROUTINE cxios_set_interpolate_axis_coordinate_src
+
+    SUBROUTINE cxios_get_interpolate_axis_coordinate_src(interpolate_axis_hdl, coordinate_src, coordinate_src_size) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
+      CHARACTER(kind = C_CHAR)    , DIMENSION(*) :: coordinate_src
+      INTEGER  (kind = C_INT)     , VALUE        :: coordinate_src_size
+    END SUBROUTINE cxios_get_interpolate_axis_coordinate_src
+
+    FUNCTION cxios_is_defined_interpolate_axis_coordinate_src(interpolate_axis_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_interpolate_axis_coordinate_src
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
+    END FUNCTION cxios_is_defined_interpolate_axis_coordinate_src
+
+
+    SUBROUTINE cxios_set_interpolate_axis_extrapolate(interpolate_axis_hdl, extrapolate) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: extrapolate
+    END SUBROUTINE cxios_set_interpolate_axis_extrapolate
+
+    SUBROUTINE cxios_get_interpolate_axis_extrapolate(interpolate_axis_hdl, extrapolate) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
+      LOGICAL (KIND=C_BOOL)             :: extrapolate
+    END SUBROUTINE cxios_get_interpolate_axis_extrapolate
+
+    FUNCTION cxios_is_defined_interpolate_axis_extrapolate(interpolate_axis_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_interpolate_axis_extrapolate
+      INTEGER (kind = C_INTPTR_T), VALUE :: interpolate_axis_hdl
+    END FUNCTION cxios_is_defined_interpolate_axis_extrapolate
 
 
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/ireduce_axis_to_scalar_attr.F90
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/ireduce_axis_to_scalar_attr.F90	(revision 2337)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/ireduce_axis_to_scalar_attr.F90	(revision 2338)
@@ -12,9 +12,11 @@
 
   SUBROUTINE xios(set_reduce_axis_to_scalar_attr)  &
-    ( reduce_axis_to_scalar_id, operation )
+    ( reduce_axis_to_scalar_id, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar))  :: reduce_axis_to_scalar_hdl
       CHARACTER(LEN=*), INTENT(IN) ::reduce_axis_to_scalar_id
+      LOGICAL  , OPTIONAL, INTENT(IN) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
 
@@ -22,26 +24,36 @@
       (reduce_axis_to_scalar_id,reduce_axis_to_scalar_hdl)
       CALL xios(set_reduce_axis_to_scalar_attr_hdl_)   &
-      ( reduce_axis_to_scalar_hdl, operation )
+      ( reduce_axis_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(set_reduce_axis_to_scalar_attr)
 
   SUBROUTINE xios(set_reduce_axis_to_scalar_attr_hdl)  &
-    ( reduce_axis_to_scalar_hdl, operation )
+    ( reduce_axis_to_scalar_hdl, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
 
       CALL xios(set_reduce_axis_to_scalar_attr_hdl_)  &
-      ( reduce_axis_to_scalar_hdl, operation )
+      ( reduce_axis_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(set_reduce_axis_to_scalar_attr_hdl)
 
   SUBROUTINE xios(set_reduce_axis_to_scalar_attr_hdl_)   &
-    ( reduce_axis_to_scalar_hdl, operation_ )
+    ( reduce_axis_to_scalar_hdl, local_, operation_ )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: local_
+      LOGICAL (KIND=C_BOOL) :: local__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation_
+
+      IF (PRESENT(local_)) THEN
+        local__tmp = local_
+        CALL cxios_set_reduce_axis_to_scalar_local &
+      (reduce_axis_to_scalar_hdl%daddr, local__tmp)
+      ENDIF
 
       IF (PRESENT(operation_)) THEN
@@ -53,9 +65,11 @@
 
   SUBROUTINE xios(get_reduce_axis_to_scalar_attr)  &
-    ( reduce_axis_to_scalar_id, operation )
+    ( reduce_axis_to_scalar_id, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar))  :: reduce_axis_to_scalar_hdl
       CHARACTER(LEN=*), INTENT(IN) ::reduce_axis_to_scalar_id
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
 
@@ -63,26 +77,36 @@
       (reduce_axis_to_scalar_id,reduce_axis_to_scalar_hdl)
       CALL xios(get_reduce_axis_to_scalar_attr_hdl_)   &
-      ( reduce_axis_to_scalar_hdl, operation )
+      ( reduce_axis_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(get_reduce_axis_to_scalar_attr)
 
   SUBROUTINE xios(get_reduce_axis_to_scalar_attr_hdl)  &
-    ( reduce_axis_to_scalar_hdl, operation )
+    ( reduce_axis_to_scalar_hdl, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
 
       CALL xios(get_reduce_axis_to_scalar_attr_hdl_)  &
-      ( reduce_axis_to_scalar_hdl, operation )
+      ( reduce_axis_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(get_reduce_axis_to_scalar_attr_hdl)
 
   SUBROUTINE xios(get_reduce_axis_to_scalar_attr_hdl_)   &
-    ( reduce_axis_to_scalar_hdl, operation_ )
+    ( reduce_axis_to_scalar_hdl, local_, operation_ )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: local_
+      LOGICAL (KIND=C_BOOL) :: local__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation_
+
+      IF (PRESENT(local_)) THEN
+        CALL cxios_get_reduce_axis_to_scalar_local &
+      (reduce_axis_to_scalar_hdl%daddr, local__tmp)
+        local_ = local__tmp
+      ENDIF
 
       IF (PRESENT(operation_)) THEN
@@ -94,9 +118,11 @@
 
   SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr)  &
-    ( reduce_axis_to_scalar_id, operation )
+    ( reduce_axis_to_scalar_id, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar))  :: reduce_axis_to_scalar_hdl
       CHARACTER(LEN=*), INTENT(IN) ::reduce_axis_to_scalar_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: local
+      LOGICAL(KIND=C_BOOL) :: local_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: operation
       LOGICAL(KIND=C_BOOL) :: operation_tmp
@@ -105,28 +131,38 @@
       (reduce_axis_to_scalar_id,reduce_axis_to_scalar_hdl)
       CALL xios(is_defined_reduce_axis_to_scalar_attr_hdl_)   &
-      ( reduce_axis_to_scalar_hdl, operation )
+      ( reduce_axis_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr)
 
   SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr_hdl)  &
-    ( reduce_axis_to_scalar_hdl, operation )
+    ( reduce_axis_to_scalar_hdl, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: local
+      LOGICAL(KIND=C_BOOL) :: local_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: operation
       LOGICAL(KIND=C_BOOL) :: operation_tmp
 
       CALL xios(is_defined_reduce_axis_to_scalar_attr_hdl_)  &
-      ( reduce_axis_to_scalar_hdl, operation )
+      ( reduce_axis_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr_hdl)
 
   SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr_hdl_)   &
-    ( reduce_axis_to_scalar_hdl, operation_ )
+    ( reduce_axis_to_scalar_hdl, local_, operation_ )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: local_
+      LOGICAL(KIND=C_BOOL) :: local__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: operation_
       LOGICAL(KIND=C_BOOL) :: operation__tmp
+
+      IF (PRESENT(local_)) THEN
+        local__tmp = cxios_is_defined_reduce_axis_to_scalar_local &
+      (reduce_axis_to_scalar_hdl%daddr)
+        local_ = local__tmp
+      ENDIF
 
       IF (PRESENT(operation_)) THEN
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iscalar_attr.F90
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iscalar_attr.F90	(revision 2337)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iscalar_attr.F90	(revision 2338)
@@ -12,5 +12,5 @@
 
   SUBROUTINE xios(set_scalar_attr)  &
-    ( scalar_id, axis_type, bounds, bounds_name, comment, label, long_name, mask, name, positive  &
+    ( scalar_id, axis_type, bounds, bounds_name, comment, label, long_name, mask, n, name, positive  &
     , prec, scalar_ref, standard_name, unit, value )
 
@@ -26,4 +26,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask
       LOGICAL (KIND=C_BOOL) :: mask_tmp
+      INTEGER  , OPTIONAL, INTENT(IN) :: n
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive
@@ -37,5 +38,5 @@
       (scalar_id,scalar_hdl)
       CALL xios(set_scalar_attr_hdl_)   &
-      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, name, positive  &
+      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, n, name, positive  &
       , prec, scalar_ref, standard_name, unit, value )
 
@@ -43,5 +44,5 @@
 
   SUBROUTINE xios(set_scalar_attr_hdl)  &
-    ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, name, positive  &
+    ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, n, name, positive  &
     , prec, scalar_ref, standard_name, unit, value )
 
@@ -56,4 +57,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask
       LOGICAL (KIND=C_BOOL) :: mask_tmp
+      INTEGER  , OPTIONAL, INTENT(IN) :: n
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive
@@ -65,5 +67,5 @@
 
       CALL xios(set_scalar_attr_hdl_)  &
-      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, name, positive  &
+      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, n, name, positive  &
       , prec, scalar_ref, standard_name, unit, value )
 
@@ -71,5 +73,5 @@
 
   SUBROUTINE xios(set_scalar_attr_hdl_)   &
-    ( scalar_hdl, axis_type_, bounds_, bounds_name_, comment_, label_, long_name_, mask_, name_  &
+    ( scalar_hdl, axis_type_, bounds_, bounds_name_, comment_, label_, long_name_, mask_, n_, name_  &
     , positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
@@ -84,4 +86,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask_
       LOGICAL (KIND=C_BOOL) :: mask__tmp
+      INTEGER  , OPTIONAL, INTENT(IN) :: n_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive_
@@ -128,4 +131,9 @@
       ENDIF
 
+      IF (PRESENT(n_)) THEN
+        CALL cxios_set_scalar_n &
+      (scalar_hdl%daddr, n_)
+      ENDIF
+
       IF (PRESENT(name_)) THEN
         CALL cxios_set_scalar_name &
@@ -166,5 +174,5 @@
 
   SUBROUTINE xios(get_scalar_attr)  &
-    ( scalar_id, axis_type, bounds, bounds_name, comment, label, long_name, mask, name, positive  &
+    ( scalar_id, axis_type, bounds, bounds_name, comment, label, long_name, mask, n, name, positive  &
     , prec, scalar_ref, standard_name, unit, value )
 
@@ -180,4 +188,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask
       LOGICAL (KIND=C_BOOL) :: mask_tmp
+      INTEGER  , OPTIONAL, INTENT(OUT) :: n
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive
@@ -191,5 +200,5 @@
       (scalar_id,scalar_hdl)
       CALL xios(get_scalar_attr_hdl_)   &
-      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, name, positive  &
+      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, n, name, positive  &
       , prec, scalar_ref, standard_name, unit, value )
 
@@ -197,5 +206,5 @@
 
   SUBROUTINE xios(get_scalar_attr_hdl)  &
-    ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, name, positive  &
+    ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, n, name, positive  &
     , prec, scalar_ref, standard_name, unit, value )
 
@@ -210,4 +219,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask
       LOGICAL (KIND=C_BOOL) :: mask_tmp
+      INTEGER  , OPTIONAL, INTENT(OUT) :: n
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive
@@ -219,5 +229,5 @@
 
       CALL xios(get_scalar_attr_hdl_)  &
-      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, name, positive  &
+      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, n, name, positive  &
       , prec, scalar_ref, standard_name, unit, value )
 
@@ -225,5 +235,5 @@
 
   SUBROUTINE xios(get_scalar_attr_hdl_)   &
-    ( scalar_hdl, axis_type_, bounds_, bounds_name_, comment_, label_, long_name_, mask_, name_  &
+    ( scalar_hdl, axis_type_, bounds_, bounds_name_, comment_, label_, long_name_, mask_, n_, name_  &
     , positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
@@ -238,4 +248,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_
       LOGICAL (KIND=C_BOOL) :: mask__tmp
+      INTEGER  , OPTIONAL, INTENT(OUT) :: n_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive_
@@ -282,4 +293,9 @@
       ENDIF
 
+      IF (PRESENT(n_)) THEN
+        CALL cxios_get_scalar_n &
+      (scalar_hdl%daddr, n_)
+      ENDIF
+
       IF (PRESENT(name_)) THEN
         CALL cxios_get_scalar_name &
@@ -320,5 +336,5 @@
 
   SUBROUTINE xios(is_defined_scalar_attr)  &
-    ( scalar_id, axis_type, bounds, bounds_name, comment, label, long_name, mask, name, positive  &
+    ( scalar_id, axis_type, bounds, bounds_name, comment, label, long_name, mask, n, name, positive  &
     , prec, scalar_ref, standard_name, unit, value )
 
@@ -340,4 +356,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask
       LOGICAL(KIND=C_BOOL) :: mask_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: n
+      LOGICAL(KIND=C_BOOL) :: n_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
@@ -358,5 +376,5 @@
       (scalar_id,scalar_hdl)
       CALL xios(is_defined_scalar_attr_hdl_)   &
-      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, name, positive  &
+      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, n, name, positive  &
       , prec, scalar_ref, standard_name, unit, value )
 
@@ -364,5 +382,5 @@
 
   SUBROUTINE xios(is_defined_scalar_attr_hdl)  &
-    ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, name, positive  &
+    ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, n, name, positive  &
     , prec, scalar_ref, standard_name, unit, value )
 
@@ -383,4 +401,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask
       LOGICAL(KIND=C_BOOL) :: mask_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: n
+      LOGICAL(KIND=C_BOOL) :: n_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
@@ -399,5 +419,5 @@
 
       CALL xios(is_defined_scalar_attr_hdl_)  &
-      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, name, positive  &
+      ( scalar_hdl, axis_type, bounds, bounds_name, comment, label, long_name, mask, n, name, positive  &
       , prec, scalar_ref, standard_name, unit, value )
 
@@ -405,5 +425,5 @@
 
   SUBROUTINE xios(is_defined_scalar_attr_hdl_)   &
-    ( scalar_hdl, axis_type_, bounds_, bounds_name_, comment_, label_, long_name_, mask_, name_  &
+    ( scalar_hdl, axis_type_, bounds_, bounds_name_, comment_, label_, long_name_, mask_, n_, name_  &
     , positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
@@ -424,4 +444,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask_
       LOGICAL(KIND=C_BOOL) :: mask__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: n_
+      LOGICAL(KIND=C_BOOL) :: n__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name_
       LOGICAL(KIND=C_BOOL) :: name__tmp
@@ -481,4 +503,10 @@
       ENDIF
 
+      IF (PRESENT(n_)) THEN
+        n__tmp = cxios_is_defined_scalar_n &
+      (scalar_hdl%daddr)
+        n_ = n__tmp
+      ENDIF
+
       IF (PRESENT(name_)) THEN
         name__tmp = cxios_is_defined_scalar_name &
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iscalargroup_attr.F90
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iscalargroup_attr.F90	(revision 2337)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/iscalargroup_attr.F90	(revision 2338)
@@ -13,5 +13,5 @@
   SUBROUTINE xios(set_scalargroup_attr)  &
     ( scalargroup_id, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-    , name, positive, prec, scalar_ref, standard_name, unit, value )
+    , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -27,4 +27,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask
       LOGICAL (KIND=C_BOOL) :: mask_tmp
+      INTEGER  , OPTIONAL, INTENT(IN) :: n
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive
@@ -39,5 +40,5 @@
       CALL xios(set_scalargroup_attr_hdl_)   &
       ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-      , name, positive, prec, scalar_ref, standard_name, unit, value )
+      , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(set_scalargroup_attr)
@@ -45,5 +46,5 @@
   SUBROUTINE xios(set_scalargroup_attr_hdl)  &
     ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-    , name, positive, prec, scalar_ref, standard_name, unit, value )
+    , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -58,4 +59,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask
       LOGICAL (KIND=C_BOOL) :: mask_tmp
+      INTEGER  , OPTIONAL, INTENT(IN) :: n
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive
@@ -68,5 +70,5 @@
       CALL xios(set_scalargroup_attr_hdl_)  &
       ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-      , name, positive, prec, scalar_ref, standard_name, unit, value )
+      , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(set_scalargroup_attr_hdl)
@@ -74,5 +76,5 @@
   SUBROUTINE xios(set_scalargroup_attr_hdl_)   &
     ( scalargroup_hdl, axis_type_, bounds_, bounds_name_, comment_, group_ref_, label_, long_name_  &
-    , mask_, name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
+    , mask_, n_, name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
@@ -87,4 +89,5 @@
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask_
       LOGICAL (KIND=C_BOOL) :: mask__tmp
+      INTEGER  , OPTIONAL, INTENT(IN) :: n_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: positive_
@@ -136,4 +139,9 @@
       ENDIF
 
+      IF (PRESENT(n_)) THEN
+        CALL cxios_set_scalargroup_n &
+      (scalargroup_hdl%daddr, n_)
+      ENDIF
+
       IF (PRESENT(name_)) THEN
         CALL cxios_set_scalargroup_name &
@@ -175,5 +183,5 @@
   SUBROUTINE xios(get_scalargroup_attr)  &
     ( scalargroup_id, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-    , name, positive, prec, scalar_ref, standard_name, unit, value )
+    , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -189,4 +197,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask
       LOGICAL (KIND=C_BOOL) :: mask_tmp
+      INTEGER  , OPTIONAL, INTENT(OUT) :: n
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive
@@ -201,5 +210,5 @@
       CALL xios(get_scalargroup_attr_hdl_)   &
       ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-      , name, positive, prec, scalar_ref, standard_name, unit, value )
+      , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(get_scalargroup_attr)
@@ -207,5 +216,5 @@
   SUBROUTINE xios(get_scalargroup_attr_hdl)  &
     ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-    , name, positive, prec, scalar_ref, standard_name, unit, value )
+    , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -220,4 +229,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask
       LOGICAL (KIND=C_BOOL) :: mask_tmp
+      INTEGER  , OPTIONAL, INTENT(OUT) :: n
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive
@@ -230,5 +240,5 @@
       CALL xios(get_scalargroup_attr_hdl_)  &
       ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-      , name, positive, prec, scalar_ref, standard_name, unit, value )
+      , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(get_scalargroup_attr_hdl)
@@ -236,5 +246,5 @@
   SUBROUTINE xios(get_scalargroup_attr_hdl_)   &
     ( scalargroup_hdl, axis_type_, bounds_, bounds_name_, comment_, group_ref_, label_, long_name_  &
-    , mask_, name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
+    , mask_, n_, name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
@@ -249,4 +259,5 @@
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_
       LOGICAL (KIND=C_BOOL) :: mask__tmp
+      INTEGER  , OPTIONAL, INTENT(OUT) :: n_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: positive_
@@ -298,4 +309,9 @@
       ENDIF
 
+      IF (PRESENT(n_)) THEN
+        CALL cxios_get_scalargroup_n &
+      (scalargroup_hdl%daddr, n_)
+      ENDIF
+
       IF (PRESENT(name_)) THEN
         CALL cxios_get_scalargroup_name &
@@ -337,5 +353,5 @@
   SUBROUTINE xios(is_defined_scalargroup_attr)  &
     ( scalargroup_id, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-    , name, positive, prec, scalar_ref, standard_name, unit, value )
+    , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -358,4 +374,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask
       LOGICAL(KIND=C_BOOL) :: mask_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: n
+      LOGICAL(KIND=C_BOOL) :: n_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
@@ -377,5 +395,5 @@
       CALL xios(is_defined_scalargroup_attr_hdl_)   &
       ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-      , name, positive, prec, scalar_ref, standard_name, unit, value )
+      , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(is_defined_scalargroup_attr)
@@ -383,5 +401,5 @@
   SUBROUTINE xios(is_defined_scalargroup_attr_hdl)  &
     ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-    , name, positive, prec, scalar_ref, standard_name, unit, value )
+    , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
     IMPLICIT NONE
@@ -403,4 +421,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask
       LOGICAL(KIND=C_BOOL) :: mask_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: n
+      LOGICAL(KIND=C_BOOL) :: n_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name
       LOGICAL(KIND=C_BOOL) :: name_tmp
@@ -420,5 +440,5 @@
       CALL xios(is_defined_scalargroup_attr_hdl_)  &
       ( scalargroup_hdl, axis_type, bounds, bounds_name, comment, group_ref, label, long_name, mask  &
-      , name, positive, prec, scalar_ref, standard_name, unit, value )
+      , n, name, positive, prec, scalar_ref, standard_name, unit, value )
 
   END SUBROUTINE xios(is_defined_scalargroup_attr_hdl)
@@ -426,5 +446,5 @@
   SUBROUTINE xios(is_defined_scalargroup_attr_hdl_)   &
     ( scalargroup_hdl, axis_type_, bounds_, bounds_name_, comment_, group_ref_, label_, long_name_  &
-    , mask_, name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
+    , mask_, n_, name_, positive_, prec_, scalar_ref_, standard_name_, unit_, value_ )
 
     IMPLICIT NONE
@@ -446,4 +466,6 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: mask_
       LOGICAL(KIND=C_BOOL) :: mask__tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: n_
+      LOGICAL(KIND=C_BOOL) :: n__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: name_
       LOGICAL(KIND=C_BOOL) :: name__tmp
@@ -509,4 +531,10 @@
       ENDIF
 
+      IF (PRESENT(n_)) THEN
+        n__tmp = cxios_is_defined_scalargroup_n &
+      (scalargroup_hdl%daddr)
+        n_ = n__tmp
+      ENDIF
+
       IF (PRESENT(name_)) THEN
         name__tmp = cxios_is_defined_scalargroup_name &
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/reduce_axis_to_scalar_interface_attr.F90
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/reduce_axis_to_scalar_interface_attr.F90	(revision 2337)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/reduce_axis_to_scalar_interface_attr.F90	(revision 2338)
@@ -9,4 +9,23 @@
   INTERFACE
     ! Do not call directly / interface FORTRAN 2003 <-> C99
+
+    SUBROUTINE cxios_set_reduce_axis_to_scalar_local(reduce_axis_to_scalar_hdl, local) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_axis_to_scalar_hdl
+      LOGICAL (KIND=C_BOOL)      , VALUE :: local
+    END SUBROUTINE cxios_set_reduce_axis_to_scalar_local
+
+    SUBROUTINE cxios_get_reduce_axis_to_scalar_local(reduce_axis_to_scalar_hdl, local) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_axis_to_scalar_hdl
+      LOGICAL (KIND=C_BOOL)             :: local
+    END SUBROUTINE cxios_get_reduce_axis_to_scalar_local
+
+    FUNCTION cxios_is_defined_reduce_axis_to_scalar_local(reduce_axis_to_scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_reduce_axis_to_scalar_local
+      INTEGER (kind = C_INTPTR_T), VALUE :: reduce_axis_to_scalar_hdl
+    END FUNCTION cxios_is_defined_reduce_axis_to_scalar_local
+
 
     SUBROUTINE cxios_set_reduce_axis_to_scalar_operation(reduce_axis_to_scalar_hdl, operation, operation_size) BIND(C)
Index: /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/scalar_interface_attr.F90
===================================================================
--- /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/scalar_interface_attr.F90	(revision 2337)
+++ /XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/scalar_interface_attr.F90	(revision 2338)
@@ -155,4 +155,23 @@
 
 
+    SUBROUTINE cxios_set_scalar_n(scalar_hdl, n) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      INTEGER (KIND=C_INT)      , VALUE :: n
+    END SUBROUTINE cxios_set_scalar_n
+
+    SUBROUTINE cxios_get_scalar_n(scalar_hdl, n) BIND(C)
+      USE ISO_C_BINDING
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+      INTEGER (KIND=C_INT)             :: n
+    END SUBROUTINE cxios_get_scalar_n
+
+    FUNCTION cxios_is_defined_scalar_n(scalar_hdl) BIND(C)
+      USE ISO_C_BINDING
+      LOGICAL(kind=C_BOOL) :: cxios_is_defined_scalar_n
+      INTEGER (kind = C_INTPTR_T), VALUE :: scalar_hdl
+    END FUNCTION cxios_is_defined_scalar_n
+
+
     SUBROUTINE cxios_set_scalar_name(scalar_hdl, name, name_size) BIND(C)
       USE ISO_C_BINDING
